package com.yc.ship.module.trade.service.ota;


import com.yc.ship.framework.common.pojo.CommonResult;

import java.util.Map;

/**
 * &#064;Description ：ota标准接口
 * &#064;Author ：qsl
 * &#064;Date ：2025/6/17 20:49
 */
public interface OtaStandardService {

    /**
     * 通知退款审核结果
     * @param auditId
     * @return
     */
    CommonResult<?> notifyRefundAuditResult(Long auditId);

    /**
     * OTA核销通知
     * @return
     */
    void otaCheckNotice(Map<String, Object> params);


    /**
     * 核销通知失败门票重新推送
     * @param voucherCode
     * @return
     */

    boolean notifyFailedVoucherInfoOtaPush(String voucherCode);

    void otaProductPriceStockNotify(String data);
}
